Loading...
Searching...
No Matches
casacore::TVecLogic_global_functions_vectorComparison Struct Reference
tables package (libcasa_tables) » Tables_module » Tables_module_internal_classes

More...

`#include <TVecLogic.h>`

## Public Member Functions

template<class T>
Bool | tabVecReptvLE (const TabVecRep< T > &left, const TabVecRep< T > &right)
template<class T>
Bool | tabVecReptvLT (const TabVecRep< T > &left, const TabVecRep< T > &right)
template<class T>
Bool | tabVecReptvGE (const TabVecRep< T > &left, const TabVecRep< T > &right)
template<class T>
Bool | tabVecReptvGT (const TabVecRep< T > &left, const TabVecRep< T > &right)
template<class T>
Bool | tabVecReptvEQ (const TabVecRep< T > &left, const TabVecRep< T > &right)
template<class T>
Bool | tabVecReptvNE (const TabVecRep< T > &left, const TabVecRep< T > &right)

## Detailed Description

Comparison between two table vectors

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

Element by element comparisons between two table vectors or between a table vector and a scalar. The result is true only if the comparison is true for every element of the table vectors. At some point operators will be available that return masks where the comparison is true. The left and right operands must be conformant (i.e. have equal length). The functions are the implementation of the wrapper functions defined in TabVecLogic.h.

Definition at line 61 of file TVecLogic.h.

## Member Function Documentation

## tabVecReptvEQ()

template<class T>

Bool casacore::TVecLogic_global_functions_vectorComparison::tabVecReptvEQ | ( | const TabVecRep< T > & | left,
|  | const TabVecRep< T > & | right )

## tabVecReptvGE()

template<class T>

Bool casacore::TVecLogic_global_functions_vectorComparison::tabVecReptvGE | ( | const TabVecRep< T > & | left,
|  | const TabVecRep< T > & | right )

## tabVecReptvGT()

template<class T>

Bool casacore::TVecLogic_global_functions_vectorComparison::tabVecReptvGT | ( | const TabVecRep< T > & | left,
|  | const TabVecRep< T > & | right )

## tabVecReptvLE()

template<class T>

Bool casacore::TVecLogic_global_functions_vectorComparison::tabVecReptvLE | ( | const TabVecRep< T > & | left,
|  | const TabVecRep< T > & | right )

## tabVecReptvLT()

template<class T>

Bool casacore::TVecLogic_global_functions_vectorComparison::tabVecReptvLT | ( | const TabVecRep< T > & | left,
|  | const TabVecRep< T > & | right )

## tabVecReptvNE()

template<class T>

Bool casacore::TVecLogic_global_functions_vectorComparison::tabVecReptvNE | ( | const TabVecRep< T > & | left,
|  | const TabVecRep< T > & | right )

The documentation for this struct was generated from the following file:

- tables/Tables/TVecLogic.h